function minubit(b, a, D, R)
%      
%      .
% b, a -     
%    .
% D -     [].
% R -  /     [].
K=freqz(b, a);                       % ר  
                                     % .
K0=max(abs(K));
PN=K0^2/2*10^(-(D+R)/10);            %    
                                     %   .
A=dirat(b, a);                       %   ר 
                                     %      
                                     %    .
if A(2:6)==0
    pp=ceil(0.5*log2(A(1)/12/PN));
    sig2=2^(-2*pp)/12; sigma2=sig2*A(1);
    fprintf(1,'   %d\n',pp+1)
    fprintf(1,'      %-12.4e\n',sig2)
    fprintf(1,'      %-12.4e\n',sigma2)
else
    p=ceil(0.5*log2(A/12/PN)); p1=p+1;
    B=2*ones(1,6); sig2=B.^(-2*p)/12; sigma2=sig2.*A;
    C=[1:6;p1;sig2;sigma2];
    fprintf(1,'_________________________________________________________________\n\n')
    fprintf(1,'                                \n')
    fprintf(1,'                                      \n')
    fprintf(1,'                                   \n')
    fprintf(1,'                                                  \n')
    fprintf(1,'_________________________________________________________________\n\n')
    fprintf(1,'      %d            %d           %12.4e        %12.4e        \n',C)
    fprintf(1,'_________________________________________________________________\n\n')
    T='  :'; disp(T);
    T=' '; disp(T);
    T=['  1 - ' char(255) '' char(255) '  c' char(255) ',']; disp(T);
    T=['  2 - c' char(255) ',']; disp(T); 
    T=['  3 - c' char(255) ' c ' char(255) '   ' char(255) ''];
    disp(T); T='       c c,'; disp(T);
    T=['  4 - c' char(255) ' c ' char(255) '   c c,'];
    disp(T);
    T=['  5 - ' char(255) ' c ' char(255) '   ' char(255) ''];
    disp(T); T='       c c,'; disp(T);
    T=['  6 - ' char(255) ' c ' char(255) '   c c.'];
    disp(T)
end